Subject: Re: Signal-handler cleanup for Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Sep 2012 09:02:04 +0300

> Date: Thu, 06 Sep 2012 18:35:59 -0700
> From: Paul Eggert <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, Juanma Barranquero <[email-masked]>
> 
> I installed the reworked patch <http://bugs.gnu.org/12327#20>
> into the trunk as bzr 109909.

This doesn't compile on Windows:

  gcc -I. -c -gdwarf-2 -g3  -DEMACSDEBUG -fno-crossjumping  -Id:/usr/include/libxml2 -DGLYPH_DEBUG=1 -Demacs=1 -I../lib -I../nt/inc -DHAVE_NTGUI=1 -DUSE_CRT_DLL=1 -o oo/i386/editfns.o editfns.c
  alloc.c: In function `die':
  alloc.c:6716: error: `SIGABRT' undeclared (first use in this function)
  alloc.c:6716: error: (Each undeclared identifier is reported only once
  alloc.c:6716: error: for each function it appears in.)
  makefile:322: recipe for target `oo/i386/alloc.o' failed
  make[1]: *** [oo/i386/alloc.o] Error 1
  make[1]: *** Waiting for unfinished jobs....
  make[1]: Leaving directory `D:/gnu/bzr/emacs/trunk/src'
  makefile:432: recipe for target `all-other-dirs-gmake' failed
  make: *** [all-other-dirs-gmake] Error 2